InMemoryDnsResolver (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.conn
Class InMemoryDnsResolver

    java.lang.Object
      org.apache.http.impl.conn.InMemoryDnsResolver

All Implemented Interfaces:
  DnsResolver

    public class InMemoryDnsResolver

extends Object
implements DnsResolver

In-memory `DnsResolver` implementation.

Since:
  4.2

Constructor Summary
`InMemoryDnsResolver()` Builds a DNS resolver that will resolve the host names against a collection held in-memory.

Method Summary
`void` | `add(String host, InetAddress... ips)` Associates the given array of IP addresses to the given host in this DNS overrider.
`InetAddress[]` | `resolve(String host)` Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryDnsResolver

    public InMemoryDnsResolver()

  Builds a DNS resolver that will resolve the host names against a collection held in-memory.

Method Detail

### add

    public void add(String host,
                    InetAddress... ips)

  Associates the given array of IP addresses to the given host in this DNS overrider. The IP addresses are assumed to be already resolved.

  Parameters:
    `host` - The host name to be associated with the given IP.
    `ips` - array of IP addresses to be resolved by this DNS overrider to the given host name.

### resolve

    public InetAddress[] resolve(String host)
                          throws UnknownHostException

  Returns the IP address for the specified host name, or null if the given host is not recognized or the associated IP address cannot be used to build an InetAddress instance.

  Specified by:
    `resolve` in interface `DnsResolver`
  Parameters:
    `host` - The host name to be resolved by this resolver.
  Returns:
    The IP address associated to the given host name, or null if the host name is not known by the implementation class.
  Throws:
    `UnknownHostException`
  See Also:
    `InetAddress`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.